package com.jkcredit.invoice.model.entity.waybill;

/**
 * 自有车交易
 */
public class SelfCarTrade {
    private Long id;
    /**
     * 客户号
     */
    private String customId;

    /**
     * 公司名称
     */
    private String companyName;
    /**
     * 公司编号
     */
    private String companyNum;

    /**
     * 公司税号
     */
    private String companyReferencenum;

    /**
     * etc卡号
     */
    private String cardId;

    /**
     * 交易id
     */
    private String tradeId;

    /**
     * 交易时间
     */
    private String exTime;

    /**
     * 交易费用
     */
    private Long fee;

    /**
     * 交易状态1-代开票 2-开票中 3-已开票
     */
    private Integer status;

    /**
     * 申请Id
     */
    private String applId;

    /**
     * 申请开票时间
     */
    private String aclTime;

    /********下边字段用于查询*********/
    private String exTimeBegin;

    private String exTimeEnd;

    private String aclTimeBegin;

    private String aclTimeEnd;

    /**
     * 会否是异常发票 1 -是 2-否
     */
    private String exceptionFlag;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getCustomId() {
        return customId;
    }

    public void setCustomId(String customId) {
        this.customId = customId;
    }

    public String getCompanyNum() {
        return companyNum;
    }

    public void setCompanyNum(String companyNum) {
        this.companyNum = companyNum;
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public String getCardId() {
        return cardId;
    }

    public void setCardId(String cardId) {
        this.cardId = cardId;
    }

    public String getTradeId() {
        return tradeId;
    }

    public void setTradeId(String tradeId) {
        this.tradeId = tradeId;
    }

    public String getExTime() {
        return exTime;
    }

    public void setExTime(String exTime) {
        this.exTime = exTime;
    }

    public Long getFee() {
        return fee;
    }

    public void setFee(Long fee) {
        this.fee = fee;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getApplId() {
        return applId;
    }

    public void setApplId(String applId) {
        this.applId = applId;
    }

    public String getAclTime() {
        return aclTime;
    }

    public void setAclTime(String aclTime) {
        this.aclTime = aclTime;
    }

    public String getCompanyReferencenum() {
        return companyReferencenum;
    }

    public void setCompanyReferencenum(String companyReferencenum) {
        this.companyReferencenum = companyReferencenum;
    }

    public String getExTimeBegin() {
        return exTimeBegin;
    }

    public void setExTimeBegin(String exTimeBegin) {
        this.exTimeBegin = exTimeBegin;
    }

    public String getExTimeEnd() {
        return exTimeEnd;
    }

    public void setExTimeEnd(String exTimeEnd) {
        this.exTimeEnd = exTimeEnd;
    }

    public String getAclTimeBegin() {
        return aclTimeBegin;
    }

    public void setAclTimeBegin(String aclTimeBegin) {
        this.aclTimeBegin = aclTimeBegin;
    }

    public String getAclTimeEnd() {
        return aclTimeEnd;
    }

    public void setAclTimeEnd(String aclTimeEnd) {
        this.aclTimeEnd = aclTimeEnd;
    }

    public String getExceptionFlag() {
        return exceptionFlag;
    }

    public void setExceptionFlag(String exceptionFlag) {
        this.exceptionFlag = exceptionFlag;
    }
}
